View Issue Details

IDProjectCategoryView StatusLast Update
0010874ScribusStory Editor / Text Framespublic2021-11-09 21:39
Reporterale Assigned Tocbradney  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.0svn 
Fixed in Version1.5.8.svn 
Summary0010874: Do not deselect current item on escaping link/unlink tool.
DescriptionWhen a text frame is selected and I activate the link tool, if I deactivate the tool without making a link, Scribus should keep the current element selected.
(if I have clicked on another frame, the current behavior of selecting it is correct!)

This would be a good way to preview which links currently exist.
TagsNo tags attached.
Patch

Activities

cezaryece

2012-07-30 11:03

developer   ~0028687

diff --git a/Scribus/scribus/scribus.cpp b/Scribus/scribus/scribus.cpp
index 37e4808..a14a8e1 100644
--- a/Scribus/scribus/scribus.cpp
+++ b/Scribus/scribus/scribus.cpp
@@ -1394,10 +1394,10 @@ void ScribusMainWindow::keyPressEvent(QKeyEvent *k)
                 case modeCopyProperties:
                 case modeEditGradientVectors:
                 case modeEditMeshGradient:
+ case modeRotation:
+ view->Deselect(false);
                 case modeLinkFrames:
                 case modeUnlinkFrames:
- case modeRotation:
- view->Deselect(false);
                 case modeEditWeldPoint:
                 case modeEyeDropper:
                 case modeImportObject:

cezaryece

2012-07-30 11:04

developer   ~0028688

Very simple so no file, just move 2 lines by hand...

cezaryece

2012-07-30 11:12

developer   ~0028690

Check if solution is what you request.
You can apply change from not or checking unlinkcut branch.

Kunda

2016-01-23 13:22

updater   ~0038347

ale, did you ever test cez's patch ?

Issue History

Date Modified Username Field Change
2012-07-13 07:35 ale New Issue
2012-07-13 07:35 ale Status new => assigned
2012-07-13 07:35 ale Assigned To => cezaryece
2012-07-13 07:35 ale Issue generated from: 0010873
2012-07-30 11:03 cezaryece Note Added: 0028687
2012-07-30 11:04 cezaryece Note Added: 0028688
2012-07-30 11:07 cezaryece Assigned To cezaryece => ale
2012-07-30 11:12 cezaryece Note Added: 0028690
2012-07-30 11:12 cezaryece Status assigned => confirmed
2012-07-30 11:30 cezaryece Summary Unlink with cut of the whole chain of linked frames => Do not deselect current item on escaping link/unlink tool.
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-01-23 13:22 Kunda Note Added: 0038347
2021-10-29 22:01 cbradney Assigned To ale => cbradney
2021-10-29 22:01 cbradney Status confirmed => resolved
2021-10-29 22:01 cbradney Resolution open => fixed
2021-10-29 22:01 cbradney Fixed in Version => 1.5.8.svn
2021-11-09 21:39 cbradney Status resolved => closed